[bdist_wheel]
universal = 0

[check-manifest]
ignore =
    .pre-commit-config.yaml

[metadata]
name = pytest-rerunfailures
version = 10.2
url = https://github.com/pytest-dev/pytest-rerunfailures
description = pytest plugin to re-run tests to eliminate flaky failures
long_description = file: HEADER.rst, README.rst, CHANGES.rst
author = Leah Klearman
author_email = lklrmn@gmail.com
license = Mozilla Public License 2.0 (MPL 2.0)
keywords = py.test pytest rerun failures flaky
classifiers =
    Development Status :: 5 - Production/Stable
    Framework :: Pytest
    Intended Audience :: Developers
    License :: OSI Approved :: Mozilla Public License 2.0 (MPL 2.0)
    Operating System :: POSIX
    Operating System :: Microsoft :: Windows
    Operating System :: MacOS :: MacOS X
    Topic :: Software Development :: Quality Assurance
    Topic :: Software Development :: Testing
    Topic :: Utilities
    Programming Language :: Python :: 3
    Programming Language :: Python :: 3.6
    Programming Language :: Python :: 3.7
    Programming Language :: Python :: 3.8
    Programming Language :: Python :: 3.9
    Programming Language :: Python :: 3.10
    Programming Language :: Python :: 3 :: Only
    Programming Language :: Python :: Implementation :: CPython
    Programming Language :: Python :: Implementation :: PyPy

[options]
zip_safe = False
py_modules = pytest_rerunfailures
python_requires = >= 3.6
install_requires =
    setuptools >= 40.0
    pytest >= 5.3

[options.entry_points]
pytest11 =
    rerunfailures = pytest_rerunfailures
